package com.izouma.nineth.dto.drawback;

import java.time.LocalDateTime;
import java.util.Objects;

public class HoldAssetDate {
        public Long userId;
        public LocalDateTime startTime;
        public LocalDateTime endTime;

        public HoldAssetDate(Long userId, LocalDateTime startTime, LocalDateTime endTime) {
            this.userId = userId;
            this.startTime = startTime;
            this.endTime = Objects.requireNonNullElse(endTime, LocalDateTime.now());
        }

        public Long getUserId() {
            return userId;
        }

        public LocalDateTime getStartTime() {
            return startTime;
        }

        public LocalDateTime getEndTime() {
            return endTime;
        }
    }